Bug 13744 - Paging on some datatables slightly broken
Summary: Paging on some datatables slightly broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-21 18:42 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13744: Fix datatables paging on 'order from subscription' page (1.38 KB, patch)
2015-02-21 19:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'Holds to pull' report (2.06 KB, patch)
2015-02-21 19:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'checkout history' page (1.40 KB, patch)
2015-02-22 10:12 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'Holds to pull' report (2.12 KB, patch)
2015-03-02 16:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13744: Fix datatables paging on 'order from subscription' page (1.45 KB, patch)
2015-03-03 10:36 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13744: Fix datatables paging on 'checkout history' page (1.48 KB, patch)
2015-03-03 10:39 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13744: Fix datatables paging on 'Holds to pull' report (2.19 KB, patch)
2015-03-03 10:45 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'order from subscription' page (1.50 KB, patch)
2015-03-04 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'checkout history' page (1.52 KB, patch)
2015-03-04 12:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13744: Fix datatables paging on 'Holds to pull' report (2.23 KB, patch)
2015-03-04 12:50 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-21 18:42:56 UTC
Some more datatables have broken paging - fixes will be similar to those on bug 13487.
Comment 1 Katrin Fischer 2015-02-21 19:32:14 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-02-21 19:42:59 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-02-22 10:12:59 UTC Comment hidden (obsolete)
Comment 4 Brendan Gallagher 2015-02-25 04:33:26 UTC
FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/circ/pendingreserves.tt
   FAIL	  forbidden patterns
		forbidden pattern: simple-quote string (line 40)

from the qa script
Comment 5 Katrin Fischer 2015-02-25 11:41:58 UTC
Good catch :)
Comment 6 Katrin Fischer 2015-03-02 16:21:51 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2015-03-03 10:36:55 UTC Comment hidden (obsolete)
Comment 8 Nicole C. Engard 2015-03-03 10:39:04 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2015-03-03 10:45:58 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-03-04 12:49:38 UTC
Created attachment 36472 [details] [review]
Bug 13744: Fix datatables paging on 'order from subscription' page

The paging of the datatable on the 'order from subscription' page
is broken without this patch.

To test:
- Make sure you have a subscription, note the vendor
- Create a new basket for this vendor
- Add a new order line 'from a subscription'
- Check paging on the result table displays correctly

Signed-off-by: Nicole <nicole@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 11 Jonathan Druart 2015-03-04 12:50:29 UTC
Created attachment 36473 [details] [review]
Bug 13744: Fix datatables paging on 'checkout history' page

The paging in the datatable on the 'circulation history' page
is broken without this patch.

/cgi-bin/koha/catalogue/issuehistory.pl?biblionumber=...

To test:
- Search for a record with items that have been checked out
  in the past
- From the detail page, open the 'checkout history' tab
- Check paging displays correctly with this patch and is
  broken without

Signed-off-by: Nicole <nicole@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 12 Jonathan Druart 2015-03-04 12:50:34 UTC
Created attachment 36474 [details] [review]
Bug 13744: Fix datatables paging on 'Holds to pull' report

The paging of the datatables on the 'holds to pull' report
page is broken without this patch.

To test:
- Make sure that some holds are placed on available items
  in your installation
- Go to the circulation start page
- Open the 'holds to pull' report
- Verify that the patch fixes the paging on the result table

Also: Fixes "None" in the filter pull downs to be translatable.
Signed-off-by: Nicole <nicole@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Tomás Cohen Arazi 2015-03-07 21:12:06 UTC
Patches pushed to master.

Thanks Katrina!
Comment 14 Chris Cormack 2015-03-13 01:28:10 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 15 Mason James 2015-03-27 00:44:57 UTC
Possible selection for 3.16.x
Comment 16 Mason James 2015-04-23 03:26:48 UTC
Pushed to 3.16.x, will be in 3.16.10